Bug 1018716 - Unable to install on RHEL-6.4 due to RHEV/QEMU package conflict
Unable to install on RHEL-6.4 due to RHEV/QEMU package conflict
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Martin Magr
Ami Jeain
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 05:23 EDT by Chris Ryan
Modified: 2014-09-08 07:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-19 08:45:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installation Log File (14.22 KB, text/x-log)
2013-10-14 05:23 EDT, Chris Ryan
no flags Details

  None (edit)
Description Chris Ryan 2013-10-14 05:23:57 EDT
Created attachment 811927 [details]
Installation Log File

Description of problem:
This was performed on a fresh install of RHEL 6.4, registered and fully updated. When following the RDO guide, after running "packstack --allinone", a yum packaging error occurs, and install fails.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Follow the RDO install steps
2. run packstack --allinone

Actual results:
Applying <ip_address>_nova.pp
 [ ERROR ]
ERROR : Error during puppet run : err: /Stage[main]//Package[qemu-kvm]/ensure: change from absent to present failed: Could not find package qemu-kvm
Package 2:qemu-kvm-0.12.1.2-2.355.el6_4.9.x86_64 is obsoleted by 2:qemu-kvm-rhev-0.12.1.2-2.355.el6_4.9.x86_64 which is already installed
Expected results:

Additional info:
Log file attached (removed IP addresses from log file).
Comment 1 Kashyap Chamarthy 2013-12-11 15:52:58 EST
Ping?

A couple of points:

1. This should be really fixed with: openstack-packstack-2013.1.1-0.13.dev621

  See similar bugs: 
    https://bugzilla.redhat.com/show_bug.cgi?id=971801
    https://bugzilla.redhat.com/show_bug.cgi?id=957632

  Can you please try with latest Havana RDO packages:

    openstack-packstack-2013.2.1-0.1.dev642.el6.noarch.rpm


2. You haven't specified *which* version of packstack you were using. 

(Friendly reminder: https://wiki.openstack.org/wiki/BugFilingRecommendations)
Comment 2 Martin Magr 2014-02-19 08:45:20 EST
With checking the attached log I must agree with Kashyap. You are using older release of packstack which does not have a fix for that.
Comment 3 Chris Ryan 2014-09-08 07:15:10 EDT
Thanks, acknowledged as closed.

Note You need to log in before you can comment on or make changes to this bug.